# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif

%define origtag Final
%define reltag %{origtag}_redhat_1
%define namedreltag %{origtag}-redhat-1
%define namedversion %{version}.%{namedreltag}

%define section free

%define maven_version 1.0.2.Final-redhat-1

Name:           jboss-jacc-api_1.4_spec
Version:        1.0.2
Release:        3.%{reltag}%{?dist}
Epoch:          0
Summary:        JACC 1.4 API
License:        LGPLv2+
URL:            http://fisheye.jboss.org/browse/JBossAS/projects/specs/trunk/jboss-jacc-api_1.4_spec
Group:          Development/Libraries/Java

%if %with mead
Source100: org.jboss.spec.javax.security.jacc-jboss-jacc-api_1.4_spec-1.0.2.Final-redhat-1-sources.zip
Source101: org.jboss.spec.javax.security.jacc-jboss-jacc-api_1.4_spec-1.0.2.Final-redhat-1-patches.zip
Source102: jboss-jacc-api_1.4_spec-1.0.2.Final-redhat-1.pom
Source103: jboss-jacc-api_1.4_spec-1.0.2.Final-redhat-1-sources.jar
Source104: jboss-jacc-api_1.4_spec-1.0.2.Final-redhat-1.jar
Source105: jboss-jacc-api_1.4_spec-1.0.2.Final-redhat-1-javadoc.jar
%endif


BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Java Authorization Contract for Containers 1.4 API classes.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation


%description javadoc
%{summary}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}
#%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

# depmaps
%add_to_maven_depmap org.jboss.spec.javax.security.jacc jboss-jacc-api_1.4_spec %{namedversion} JPP %{name}

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%if %without mead
%{__unzip} -qq %{_javadir}/jbossas-fordev/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%else
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%endif
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap


%files
%defattr(0644,root,root,0755)
%if %without mead
%doc LICENSE, README
%endif
%dir %{_javadir}*
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
#%{_javadir}*/%{name}-%{namedversion}-javadoc.jar
#%{_javadir}*/%{name}-javadoc.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%changelog
* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-3.Final_redhat_1
- Place javadocs in separate RPM

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-2.Final_redhat_1
- Remove javadocs from main package

* Thu May 03 2012 Hui Wang <huwang@redhat.com> 0:1.0.2-1.Final_redhat_1
- Upgrade to 1.0.2.Final

* Thu Mar 15 2012 Hui Wang <huwang@redhat.com> 0:1.0.1-3.Final_redhat_1.1
- New wrapper
- Fix installing path

* Thu Nov 17 2011 Hui Wang <huwang@redhat.com> 0:1.0.1-2.Final_redhat_1
- RPM build against mead build

* Thu May 26 2011 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1
- Adapted from jboss-jaxrpc_1.1_spec
